Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 79945 - netxx-0.4.2.ebuild (New Package)
Summary: netxx-0.4.2.ebuild (New Package)
Status: VERIFIED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://pmade.org/software/netxx
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2005-01-29 04:30 UTC by Piotr Kopta
Modified: 2006-06-28 14:35 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
netxx-0.4.2.ebuild (netxx-0.4.2.ebuild,910 bytes, text/plain)
2005-01-29 04:32 UTC, Piotr Kopta
Details
netxx-0.4.2.ebuild (netxx-0.4.2.ebuild,1.69 KB, text/plain)
2005-03-26 04:56 UTC, Tiziano Müller
Details
0.4.2-gcc3.4.patch (0.4.2-gcc3.4.patch,3.47 KB, patch)
2005-03-26 04:56 UTC, Tiziano Müller
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kopta 2005-01-29 04:30:23 UTC
Netxx is a C++ network programming library. It is designed to take the pain out of programming network communications applications.

As build system, netxx uses Boost.Jam, so this ebuild depends on 'boost-jam'.

To build library with debugging symbols, 'debug' flag must be set in USE.

Tested on x86.
Comment 1 Piotr Kopta 2005-01-29 04:32:57 UTC
Created attachment 49819 [details]
netxx-0.4.2.ebuild
Comment 2 Tiziano Müller gentoo-dev 2005-03-26 04:54:50 UTC
Unfortunately it didn't work with gcc-3.4.3...
I made a new ebuild with the additional USE-flags example and doc and my gcc-3.4-patch (patch already sent upstream).

Tested on ~x86 (gentoo 2005.0) with gcc-3.4.3 and gcc-3.3.5.
Comment 3 Tiziano Müller gentoo-dev 2005-03-26 04:56:20 UTC
Created attachment 54516 [details]
netxx-0.4.2.ebuild
Comment 4 Tiziano Müller gentoo-dev 2005-03-26 04:56:55 UTC
Created attachment 54517 [details, diff]
0.4.2-gcc3.4.patch
Comment 5 Tiziano Müller gentoo-dev 2005-03-26 04:57:29 UTC
Comment on attachment 54516 [details]
netxx-0.4.2.ebuild

New ebuild with doc,examples USE-flags and gcc-3.4 patch
Comment 6 Tiziano Müller gentoo-dev 2005-03-26 04:57:47 UTC
Comment on attachment 54517 [details, diff]
0.4.2-gcc3.4.patch

The gcc-3.4 patch
Comment 7 Jeremy Huddleston (RETIRED) gentoo-dev 2005-05-03 12:51:01 UTC
not really sure why this was assigned to me...
Comment 8 Tiziano Müller gentoo-dev 2006-06-28 14:21:09 UTC
Well, upstream's dead and I'm not sure if I have the time to maintain the package. Will file a new bug when I've decided...
Comment 9 Jakub Moc (RETIRED) gentoo-dev 2006-06-28 14:29:46 UTC
Upstream 404 -> WONTFIX.
Comment 10 Jakub Moc (RETIRED) gentoo-dev 2006-06-28 14:35:19 UTC
Closing.